/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PublishLayerVersionInput } from "../types/PublishLayerVersionInput";
import { PublishLayerVersionOutput } from "../types/PublishLayerVersionOutput";
import { LambdaResolvedConfiguration } from "../LambdaConfiguration";
export * from "../types/PublishLayerVersionInput";
export * from "../types/PublishLayerVersionOutput";
export * from "../types/PublishLayerVersionExceptionsUnion";
export declare class PublishLayerVersionCommand implements __aws_sdk_types.Command<InputTypesUnion, PublishLayerVersionInput, OutputTypesUnion, PublishLayerVersionOutput, LambdaResolvedConfiguration, _stream.Readable> {
    readonly input: PublishLayerVersionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PublishLayerVersionInput, PublishLayerVersionOutput, _stream.Readable>;
    constructor(input: PublishLayerVersionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: LambdaResolvedConfiguration): __aws_sdk_types.Handler<PublishLayerVersionInput, PublishLayerVersionOutput>;
}
